import 'dart:ui';

import 'package:fis_measure/interfaces/date_types/point.dart';
import 'package:fis_measure/interfaces/enums/items.dart';
import 'package:fis_measure/interfaces/process/items/item.dart';
import 'package:fis_measure/interfaces/process/items/item_metas.dart';
import 'package:fis_measure/interfaces/process/workspace/point_info.dart';
import 'package:fis_measure/process/items/item.dart';
import 'package:fis_measure/process/items/item_feature.dart';
import 'package:fis_measure/process/primitives/polyline.dart';
import 'package:fis_measure/process/primitives/area_abstract.dart';
import 'package:fis_measure/process/primitives/utils/auto_snap.dart';
import 'package:fis_measure/utils/canvas.dart';
import 'package:path_drawing/path_drawing.dart';

import '../simpson_path.dart';

class MultiSimpsonPath extends SimpsonPath {
  MultiSimpsonPath(ItemMeta meta, IMeasureItem? parent) : super(meta, parent);

  @override
  bool onExecuteMouse(PointInfo args) {
    final rst = super.onExecuteMouse(args);
    return rst;
  }

  @override
  bool onExecuteTouch(PointInfo args) {
    // TODO: implement onExecuteTouch
    throw UnimplementedError();
  }

  static MultiSimpsonPath create(ItemMeta meta, [IMeasureItem? parent]) {
    final path = MultiSimpsonPath(meta, parent);
    return path;
  }
}

class MultiSimpsonPathFeature extends SimpsonPathFeature {
  MultiSimpsonPathFeature(super.refItem);

  @override
  MultiSimpsonPath get refItem => super.refItem as MultiSimpsonPath;

  @override
  void paint(Canvas canvas, Size size) {
    // TODO: implement paint
    super.paint(canvas, size);
  }
}


// class MultiSimpsonPath extends MeasureItem<MultiSimpsonPathFeature> {
//   MultiSimpsonPath(ItemMeta meta, IMeasureItem? parent) : super(meta, parent);

//   @override
//   bool onExecuteMouse(PointInfo args) {
//     // TODO: implement onExecuteMouse
//     throw UnimplementedError();
//   }

//   @override
//   bool onExecuteTouch(PointInfo args) {
//     // TODO: implement onExecuteTouch
//     throw UnimplementedError();
//   }

//   static MultiSimpsonPath create(ItemMeta meta, [IMeasureItem? parent]) {
//     final path = MultiSimpsonPath(meta, parent);
//     return path;
//   }
// }

// class MultiSimpsonPathFeature extends MeasureItemFeature {
//   MultiSimpsonPathFeature(super.refItem);

//   @override
//   MultiSimpsonPath get refItem => super.refItem as MultiSimpsonPath;

//   @override
//   void paint(Canvas canvas, Size size) {
//     // TODO: implement paint
//   }
// }
