// ignore_for_file: constant_identifier_names

import 'package:flutter/painting.dart';

/// 测量颜色集合
class MeasureColors {
  /// 主色
  static const Color Primary = Color.fromARGB(255, 255, 255, 0);

  /// 测量时卡尺颜色
  static const Color ActiveCaliper = Color.fromARGB(255, 98, 203, 34);

  /// 背景色
  static const Color Background = Color.fromARGB(255, 0, 0, 0);

  /// 结果面板滚动条颜色
  static const Color ResultScrollbar = Color.fromARGB(255, 90, 90, 90);

  /// 结果面板边框颜色
  static const Color ResultBorder = Color.fromARGB(255, 92, 92, 92);

  /// 隐藏不显示【透明色】
  static const Color Hide = Color.fromARGB(0, 0, 0, 0);
}
